package com.ruoyi.framework.util;

public class DataScopeConstants {
    /**
     * 数据权限过滤关键字
     */
    public static final String DATA_SCOPE = "dataScope";

    /**
     * 全部数据权限
     */
    public static final String DATA_SCOPE_ALL = "1";

    /**
     * 自定数据权限
     */
    public static final String DATA_SCOPE_CUSTOM = "2";

    /**
     * 部门数据权限
     */
    public static final String DATA_SCOPE_DEPT = "3";

    /**
     * 部门及以下数据权限
     */
    public static final String DATA_SCOPE_DEPT_AND_CHILD = "4";

    /**
     * 仅本人数据权限
     */
    public static final String DATA_SCOPE_SELF = "5";

    /**
     * 负责部门数据权限
     */
    public static final String DATA_SCOPE_LEADER_DEPT = "6";

    /**
     * 本部门及本人数据权限
     */
    public static final String DATA_SCOPE_DEPT_AND_SELF = "7";

    /**
     * 本人及运维店铺数据权限
     */
    public static final String DATA_SCOPE_STORE_AND_SELF = "8";

    /**
     * APP负责人
     */
    public static final String DATA_SCOPE_APP_OWNER = "9";
}
