package com.ruoyi.bst.account.domain;

import com.ruoyi.common.annotation.Sensitive;
import com.ruoyi.common.enums.DesensitizedType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AccountVO extends Account {

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("用户是否实名")
    private Boolean userIsReal;

    @ApiModelProperty("用户实名手机号")
    @Sensitive( desensitizedType = DesensitizedType.PHONE)
    private String userRealPhone;

    @ApiModelProperty("用户实名身份证号")
    @Sensitive( desensitizedType = DesensitizedType.ID_CARD)
    private String userRealIdCard;

    @ApiModelProperty("用户实名姓名")
    @Sensitive( desensitizedType = DesensitizedType.USERNAME)
    private String userRealName;

}
