package com.ruoyi.bst.bindRecord.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备绑定记录对象 bst_bind_record
 *
 * @author ruoyi
 * @date 2025-04-24
 */
@Data
public class BindRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long recordId;

    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private Long deviceId;

    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    @Excel(name = "类型：1-绑定，2-解绑")
    @ApiModelProperty("类型：1-绑定，2-解绑")
    private String type;

}
