package com.ruoyi.bst.bonusRefund.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2025/1/25
 */
@Data
public class BonusRefundQuery extends BonusRefundVO{

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate createDate;

    @ApiModelProperty("分成类型")
    private List<String> bonusArrivalTypes;

    @ApiModelProperty("分成状态列表")
    private List<String> bonusStatusList;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;
}
