package com.ruoyi.bst.changeRecord.domain;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ChangeRecordVO extends ChangeRecord{


    @Excel(name = "店铺名")
    @ApiModelProperty("店铺名")
    private String storeName;

    @Excel(name = "用户名")
    @ApiModelProperty("用户名")
    private String userName;

    @Excel(name = "充值金额")
    @ApiModelProperty("充值金额")
    private BigDecimal amount;

}
