package com.ruoyi.bst.device.domain.dto;

import com.ruoyi.common.validRule.modelExist.ModelExist;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wjh
 * 2024/7/8
 */
@Data
public class DeviceRegisterDTO {

    @NotBlank(message = "MAC不允许为空")
    private String mac;

    @NotBlank(message = "SN不允许为空")
    private String sn;

    @ModelExist(message = "型号不存在")
    private Long modelId;

}
