package com.ruoyi.bst.lightingNum.domain;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 爆灯次数列表对象 bst_lighting_num
 *
 * @author ruoyi
 * @date 2025-04-26
 */
@Data
public class LightingNum extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "爆灯次数")
    @ApiModelProperty("爆灯次数")
    private Integer number;

}
