package com.ruoyi.bst.lightingNum.service.impl;

import com.ruoyi.bst.device.domain.DeviceQuery;
import com.ruoyi.bst.device.domain.vo.DeviceStatVO;
import com.ruoyi.bst.device.mapper.DeviceMapper;
import com.ruoyi.bst.device.service.DeviceDashboard;
import com.ruoyi.bst.lightingNum.domain.LightingNumQuery;
import com.ruoyi.bst.lightingNum.mapper.LightingNumMapper;
import com.ruoyi.bst.lightingNum.service.LightingNumDashboard;
import com.ruoyi.common.domain.vo.StringIntegerVO;
import com.ruoyi.common.utils.MathUtils;
import com.ruoyi.dashboard.constants.StatKeys;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class LightingNumDashboardImpl implements LightingNumDashboard {

    @Autowired
    private LightingNumMapper lightingNumMapper;

    @Override
    public Integer selectCount(LightingNumQuery query) {
        return MathUtils.dv(lightingNumMapper.selectCount(query));
    }

}
