package com.ruoyi.bst.order.domain.query;

import com.ruoyi.bst.order.domain.OrderQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class OrderRefundQuery extends OrderQuery {
    
    @ApiModelProperty("退款创建日期范围")
    private List<LocalDate> refundCreateDateRange;

    @ApiModelProperty("退款状态列表")
    private List<String> refundStatusList;

    @ApiModelProperty("退款类型")
    private String refundType;
}
