package com.ruoyi.bst.order.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 订单统计VO
 */
@Data
public class OrderStatVO {

    @ApiModelProperty("订单用户数量")
    private Integer userCount;

    @ApiModelProperty("订单数量")
    private Integer count;

    @ApiModelProperty("订单支付金额")
    private BigDecimal payAmount;

    @ApiModelProperty("待审核的订单")
    private Integer waitVerifyCount;

    @ApiModelProperty("订单状态数量")
    private Map<String, Integer> statusCount;

}
