package com.ruoyi.bst.refund.service;

import com.ruoyi.bst.pay.domain.PayVO;
import com.ruoyi.bst.pay.domain.dto.PayRefundDTO;
import com.ruoyi.bst.refund.domain.Refund;

public interface RefundConverter {

    /**
     * 转换为退款对象
     * @param dto 退款DTO
     * @param pay 支付单VO
     * @return 退款对象
     */
    Refund toPo(PayRefundDTO dto, PayVO pay);
    
}
