package com.ruoyi.bst.store.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

@Data
public class StoreQuery extends StoreVO{

    @ApiModelProperty("店铺ID列表")
    private List<Long> storeIds;


    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;
}
