package com.ruoyi.bst.withdraw.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2025/4/7
 */
@Data
public class WithdrawQuery extends WithdrawVO {

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("状态列表")
    private List<String> statusList;
}
