package com.ruoyi.dashboard.constants;

import lombok.Data;

/**
 * 统计数据常量
 */
@Data
public class StatKeys {
    // 累计订单用户
    public static final String ORDER_USER_COUNT = "order_user_count";
    // 订单数量
    public static final String ORDER_COUNT = "order_count";
    // 订单支付金额
    public static final String ORDER_PAY_AMOUNT = "order_pay_amount";
    // 订单退款金额
    public static final String ORDER_REFUND_AMOUNT = "order_refund_amount";
    // 订单总金额
    public static final String ORDER_ACTUAL_TOTAL_AMOUNT = "order_actual_total_amount";

    // 设备数量
    public static final String DEVICE_COUNT = "device_count";
    // 设备状态数量
    public static final String DEVICE_STATUS_COUNT = "device_status_count";
    // 设备在线状态数量
    public static final String DEVICE_ONLINE_STATUS_COUNT = "device_online_status_count";

    // 店铺数量
    public static final String STORE_COUNT = "store_count";

    // 用户剩余爆灯次数
    public static final String CURRENT_LIGHTING_NUM_COUNT = "current_lighting_num_count";
    // 用户爆灯过的次数
    public static final String USED_LIGHTING_NUM_COUNT = "user_lighting_num_count";

    // 用户充值金额
    public static final String USER_RECHARGE_AMOUNT = "user_recharge_amount";
    // 用户退款金额
    public static final String USER_REFUND_AMOUNT = "user_refund_amount";
}
