package com.ruoyi.system.user.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class UserConsumeVO extends User {


    @ApiModelProperty("总充值金额")
    private BigDecimal totalRecharge;

    @ApiModelProperty("最近消费时间")
    private LocalDateTime lastConsumeTime;



}
