package com.ruoyi.bst.article.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 文章列表对象 bst_article
 *
 * @author ruoyi
 * @date 2025-05-14
 */
@Data
public class Article extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "所属分类ID")
    @ApiModelProperty("所属分类ID")
    private Long categoryId;

    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    @Excel(name = "简介")
    @ApiModelProperty("简介")
    private String brief;

    @Excel(name = "内容详情")
    @ApiModelProperty("内容详情")
    private String content;

    @Excel(name = "文章类型：1-文章 2-协议")
    @ApiModelProperty("文章类型：1-文章 2-协议")
    private String articleType;

}
