package com.ruoyi.bst.bonus.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wjh
 * 2025/3/26
 */
@Data
public class BonusQuery extends BonusVO {

    @ApiModelProperty("预计分成时间（开始）")
    private LocalDateTime prePayTimeStart;

    @ApiModelProperty("预计分成时间（结束）")
    private LocalDateTime prePayTimeEnd;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("分成状态列表")
    private List<String> statusList;

    @ApiModelProperty("分成方类型列表")
    private List<String> arrivalTypes;

}
