package com.ruoyi.bst.bonusRefund.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 分成退款记录对象 ss_bonus_refund
 *
 * @author ruoyi
 * @date 2025-01-25
 */
@Data
public class BonusRefund extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "分成ID")
    @ApiModelProperty("分成ID")
    private Long bonusId;

    @Excel(name = "退款金额")
    @ApiModelProperty("退款金额")
    private BigDecimal refundAmount;

}
