package com.ruoyi.bst.changeRecord.domain;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.time.LocalDateTime;

/**
 * 爆灯次数变化对象 bst_change_record
 *
 * @author ruoyi
 * @date 2025-04-26
 */
@Data
public class ChangeRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long recordId;

    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "变动次数")
    @ApiModelProperty("变动次数")
    private Integer number;

    @Excel(name = "变动前次数")
    @ApiModelProperty("变动前次数")
    private Integer beforeNum;

    @Excel(name = "变动后次数")
    @ApiModelProperty("变动后次数")
    private Integer afterNum;

    @Excel(name = "业务类型")
    @ApiModelProperty("业务类型")
    private String bstType;

    @Excel(name = "业务ID")
    @ApiModelProperty("业务ID")
    private Long bstId;

    @Excel(name = "原因")
    @ApiModelProperty("原因")
    private String reason;

}
