package com.ruoyi.bst.lightingNum.domain.dto;

import com.ruoyi.common.core.interfaces.LogBizParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.*;
import java.math.BigDecimal;

@Data
public class GiftLightingNumDTO {

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("用户ID")
    private Long userId;

    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式错误")
    private String phone;

    @ApiModelProperty("爆灯次数")
    @NotNull(message = "爆灯次数不能为空")
    private Integer number;

}
