package com.ruoyi.bst.order.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderVO extends Order{

    // 支付
    @ApiModelProperty("支付单号")
    private String payNo;
    @ApiModelProperty("已支付金额")
    private BigDecimal payedAmount;
    @ApiModelProperty("支付已退款金额")
    private BigDecimal payRefunded;
    @ApiModelProperty("支付退款中金额")
    private BigDecimal payRefunding;



    // 用户
    @ApiModelProperty("用户名称")
    private String userName;
//    @ApiModelProperty("用户手机号")
//    private String userPhone;
    @ApiModelProperty("用户手机号")
    private String phoneNumber;


    // 店铺
    @ApiModelProperty("店铺地址")
    private String address;

}
