package com.ruoyi.bst.storeStaff.domain;

import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class StoreStaffVO extends StoreStaff {

    @ApiModelProperty("用户手机号")
    @NotBlank(message = "用户手机号不允许为空", groups = {ValidGroup.Create.class, ValidGroup.Update.class})
    private String userPhone;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("店铺名")
    private String storeName;
}
