package com.ruoyi.bst.userApp.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户APP关联对象 bst_user_app
 *
 * @author ruoyi
 * @date 2025-03-14
 */
@Data
public class UserApp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "APP ID")
    @ApiModelProperty("APP ID")
    private Long appId;

    @Excel(name = "开放平台ID")
    @ApiModelProperty("开放平台ID")
    private String openId;

}
