package com.ruoyi.bst.withdraw.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author wjh
 * 2025/4/7
 */
@Data
public class WithdrawVerifyDTO {

    @ApiModelProperty("提现ID")
    @NotNull(message = "提现ID不允许为空")
    private Long id;

    @ApiModelProperty("是否通过")
    @NotNull(message = "是否通过不允许为空")
    private Boolean pass;

    @ApiModelProperty("审核意见")
    @Size(max = 200, message = "审核意见不允许超过200个字符")
    private String remark;

    @ApiModelProperty("审核人ID")
    private Long verifyId;
}
