package com.ruoyi.bst.withdraw.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2025/4/7
 */
@Data
public class WithdrawAmountVO {

    @ApiModelProperty("服务费类型")
    private String type;

    @ApiModelProperty("到账金额")
    private BigDecimal amount;

    @ApiModelProperty("服务费金额")
    private BigDecimal serviceCharge;

    @ApiModelProperty("服务费比例")
    private BigDecimal point;

    @ApiModelProperty("最低提现金额")
    private BigDecimal minAmount;

    @ApiModelProperty("最高提现金额")
    private BigDecimal maxAmount;
}
