package com.ruoyi.dashboard.domain.dailyStat;

import com.ruoyi.dashboard.domain.stat.StatQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class DailyStatQuery extends StatQuery {

    @ApiModelProperty("是否数据隔离")
    private Boolean scope;

    @ApiModelProperty("订单查询数据")
    private List<String> orderKeys;

    @ApiModelProperty("订单退款查询数据")
    private List<String> orderRefundKeys;

    @ApiModelProperty("分成查询数据")
    private List<String> bonusKeys;

    @ApiModelProperty("分成退款查询数据")
    private List<String> bonusRefundKeys;

}
