package com.ruoyi.iot.constants;


/**
 * iot常量信息
 *
 * @author ruoyi
 */
public class IotConstants {

    /**
     * 时间单位 分钟
     */
    public static final String TIME_MIN = "min";

    /**
     * 时间单位 小时
     */
    public static final String TIME_HOUR = "hour";

    /**
     * 命令分隔符  @
     */
    public static final String COMMAND_SEPARATOR = "@";

    /**----------------------------地址start----------------------------*/
    /**
     * 命令下发地址
     */
    public static final String ADDS_COMMAND = "/datapoint/synccmds";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_HISTORY_DATAPOINTS = "/datapoint/history-datapoints";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_CURRENT_DATAPOINTS = "/datapoint/current-datapoints";

    /**
     * 设备详情
     */
    public static final String ADDS_DEVICE_DETAIL = "/device/detail";

    /**
     * 设备列表
     */
    public static final String ADDS_DEVICE_LIST = "/device/list";

    /**
     * 添加设备
     */
    public static final String CREATE_DEVICE = "/device/create";

    /**----------------------------地址end----------------------------*/

    /**----------------------------命令start----------------------------*/
    /**
     * 命令  打开
     */
    public static final String COMMAND_OPEN = "open";

    /**
     * 命令  关闭
     */
    public static final String COMMAND_CLOSE = "close";

    /**
     * 命令  电量充值
     */
    public static final String COMMAND_RECHARGE = "time";

    /**
     * 命令  设置通断电方式
     */
    public static final String COMMAND_OUTAGE_WAY = "set";

    /**
     * 命令  累加充值电量，设备不会自行关闭
     */
    public static final String COMMAND_ADD_ELE = "money";

    /**
     * 命令  直接设置电量，设备会自行关闭
     */
    public static final String COMMAND_SET_ELE = "mmney";

    public static final String COMMAND_SET_SSID = "ssid";

    public static final String COMMAND_SET_PASS = "pass";

    /**
     * 命令 设置语音播报阈值(秒)
     */
    public static final String COMMAND_SET_VOICE = "dj_set";

    /**
     * 命令 设置总用电量
     */
    public static final String COMMAND_SET_TOTAL_ELE = "pow_set";

    /**
     * 命令 设置电压系数
     */
    public static final String COMMAND_SET_VXS = "v_xs";

    /**
     * 命令 强制上报数据
     */
    public static final String COMMAND_UPLOAD_DATA = "111";

    /**
     * 命令 重启设备
     */
    public static final String COMMAND_REBOOT = "reboot";

    /**
     * 命令 设置电量系数
     */
    public static final String COMMAND_SET_WXS = "w_xs";

    /**
     * 命令 设置反转参数
     */
    public static final String COMMAND_SET_SET = "set";

    /**----------------------------命令end----------------------------*/


    /**
     * 在线获取方式：从OneNet获取
     */
    public static final String ONLINE_TYPE_GET = "1";


    /**
     * 在线获取方式：发送命令获取
     */
    public static final String ONLINE_TYPE_COMMAND = "2";


}
