package com.ruoyi.iot.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * @author wjh
 * 2024/5/6
 */
@Data
public class ReceiveMsg {


    // 类型 1数据点 2生命周期
    private Integer type;

    // 设备名称:mac
    @JSONField(name = "dev_name")
    private String devName;

    // 设备上报的时间戳
    private Long at;

    // 产品id
    @JSONField(name ="pid")
    private String pid;

    // 生命周期状态：0离线，1在线
    private Integer status;

    // 数据点id
    @JSONField(name = "ds_id")
    private String dsId;

    // 具体数据部分，为设备上传至平台或触发的相关数据
    private Object value;

    // 	LwM2M协议设备的IMEI号
    private String imei;
}
