package com.ruoyi.web.app;

import com.ruoyi.bst.pay.service.PayService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/pay")
public class AppPayController extends BaseController {

    @Autowired
    private PayService payService;

    @ApiOperation("刷新支付结果")
    @PutMapping("/refreshPayResult")
    public AjaxResult refreshPayResult(String no) {
        payService.refreshPayResult(no);
        return success();
    }
    
}
