package com.ruoyi.web.app;

import com.ruoyi.bst.pay.service.PayService;
import com.ruoyi.bst.suit.domain.SuitQuery;
import com.ruoyi.bst.suit.service.SuitService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/suit")
public class AppSuitController extends BaseController{

        @Autowired
        private SuitService suitService;

        @ApiOperation("获取套餐列表")
        @GetMapping("/list")
        public TableDataInfo list(SuitQuery query) {
            startPage();
            return getDataTable(suitService.selectSuitList(query));
        }

}
